Package org.h2gis.functions.io.geojson

## Class GeoJsonRead

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.functions.io.geojson.GeoJsonRead

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class GeoJsonRead
    extends org.h2gis.api.AbstractFunction
    implements org.h2gis.api.ScalarFunction

SQL function to read a GeoJSON file an creates the corresponding spatial table.

Author:
  Erwan Bocher, CNRS, 2020

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`GeoJsonRead()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static void` `importTable​(Connection connection, String fileName)`
`static void` `importTable​(Connection connection, String fileName, String tableReference, String encoding, boolean deleteTable)`
`static void` `importTable​(Connection connection, String fileName, String tableReference, org.h2.value.Value option)`
`static void` `importTable​(Connection connection, String fileName, org.h2.value.Value option)` Read the GeoJSON file.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### GeoJsonRead

    public GeoJsonRead()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

#### importTable

    public static void importTable​(Connection connection,
                                   String fileName)
                            throws IOException,
                                   SQLException

Parameters:
  `connection` -
  `fileName` -
Throws:
  `IOException`
  `SQLException`

#### importTable

    public static void importTable​(Connection connection,
                                   String fileName,
                                   org.h2.value.Value option)
                            throws IOException,
                                   SQLException

Read the GeoJSON file.

Parameters:
  `connection` -
  `fileName` -
  `option` -
Throws:
  `IOException`
  `SQLException`

#### importTable

    public static void importTable​(Connection connection,
                                   String fileName,
                                   String tableReference,
                                   org.h2.value.Value option)
                            throws IOException,
                                   SQLException

Throws:
  `IOException`
  `SQLException`

#### importTable

    public static void importTable​(Connection connection,
                                   String fileName,
                                   String tableReference,
                                   String encoding,
                                   boolean deleteTable)
                            throws IOException,
                                   SQLException

Throws:
  `IOException`
  `SQLException`